import type { EmailValidator, MinMaxParamsEmail, ParamsValidatorEmail, PhoneValidator, ParamsPhoneValidator, CustomPatternPhone, BrandCard, ParamsPaymentCardValidator, PaymentCardValidator, TypeCard, paymentSlipSegmentType, paymentSlipSegmentIdentification, PaymentSlipValidator, ParamsPaymentSlipValidator } from './contracts/index';
export type TypesValidators = {
    EmailValidator: EmailValidator;
    MinMaxParamsEmail: MinMaxParamsEmail;
    ParamsValidatorEmail: ParamsValidatorEmail;
    PhoneValidator: PhoneValidator;
    ParamsPhoneValidator: ParamsPhoneValidator;
    CustomPatternPhone: CustomPatternPhone;
    BrandCard: BrandCard;
    ParamsPaymentCardValidator: ParamsPaymentCardValidator;
    PaymentCardValidator: PaymentCardValidator;
    TypeCard: TypeCard;
    PaymentSlipSegmentIdentification: typeof paymentSlipSegmentIdentification;
    PaymentSlipSegmentType: typeof paymentSlipSegmentType;
    PaymentSlipValidator: PaymentSlipValidator;
    ParamsPaymentSlipValidator: ParamsPaymentSlipValidator;
};
declare const validators: {
    cpf: (cpf?: string | undefined) => boolean;
    cnpj: (cnpj?: string | undefined) => boolean;
    email: ({ email, paramsEmailValidator, }: EmailValidator) => boolean;
    nis: (nis?: string | undefined) => boolean;
    phone: ({ phone, paramsPhoneValidator, }: PhoneValidator) => boolean;
    paymentCardValidator: ({ cardNumber, paramsPaymentCardValidator, }: PaymentCardValidator) => boolean;
    paymentSlipValidator: ({ digits, paramsPaymentSlipValidator, }: PaymentSlipValidator) => boolean;
};
export default validators;
//# sourceMappingURL=index.d.ts.map