import { TypesUtils } from '@utils-fns/utils';
export declare const paymentSlipSegmentIdentification: {
    readonly '1': "municipal";
    readonly '2': "sanitation";
    readonly '3': "gas_energy";
    readonly '4': "telecom";
    readonly '5': "government_agencies";
    readonly '6': "others";
    readonly '7': "transit";
    readonly '9': "only_banks";
};
export declare const paymentSlipSegmentType: {
    readonly municipal: "Taxas Municipais";
    readonly sanitation: "Taxas de Saneamento";
    readonly gas_energy: "Taxas de Energia Elétrica e Gás";
    readonly telecom: "Taxas de Telecomunicações";
    readonly government_agencies: "Taxas de Órgãos Governamentais";
    readonly transit: "Taxas de Trânsito";
    readonly only_banks: "Uso Exclusivo dos bancos";
    readonly others: "Outros";
};
export type ParamsPaymentSlipValidator = {
    validByBank?: TypesUtils['BankNames'] | TypesUtils['BankCode'];
    validSegmentType?: (typeof paymentSlipSegmentType)[keyof typeof paymentSlipSegmentType];
    validByPrice?: string | number;
    validByDate?: string | Date;
    validByTypeOfPaymentSlip?: 'Boleto Bancário' | 'Boleto de Arrecadação';
    validByIfIsBarCodeOrTypeableLine?: 'Cód. Barras' | 'Linha Digitável';
};
export type PaymentSlipValidator = {
    digits?: string;
    paramsPaymentSlipValidator?: ParamsPaymentSlipValidator;
};
//# sourceMappingURL=index.d.ts.map